Package org.drinkless.tdlib

# Class TdApi.SendCallRating

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SendCallRating

Enclosing class:
  `TdApi`

public static class TdApi.SendCallRating extends TdApi.Function<TdApi.Ok>
Sends a call rating.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputCall`
  `callId`
  Call identifier.
  `String`
  `comment`
  An optional user comment if the rating is less than 5.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.CallProblem[]`
  `problems`
  List of the exact types of problems with the call, specified by the user.
  `int`
  `rating`
  Call rating; 1-5.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendCallRating()`
  Default constructor for a function, which sends a call rating.
  `SendCallRating(TdApi.InputCall callId, int rating, String comment, TdApi.CallProblem[] problems)`
  Creates a function, which sends a call rating.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### callId

    public TdApi.InputCall callId
    Call identifier.

  - ### rating

    public int rating
    Call rating; 1-5.

  - ### comment

    public String comment
    An optional user comment if the rating is less than 5.

  - ### problems

    public TdApi.CallProblem[] problems
    List of the exact types of problems with the call, specified by the user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendCallRating

    public SendCallRating()
    Default constructor for a function, which sends a call rating.

    Returns `Ok`

  - ### SendCallRating

    public SendCallRating(TdApi.InputCall callId, int rating, String comment, TdApi.CallProblem[] problems)
    Creates a function, which sends a call rating.

    Returns `Ok`

    Parameters:
      `callId` - Call identifier.
      `rating` - Call rating; 1-5.
      `comment` - An optional user comment if the rating is less than 5.
      `problems` - List of the exact types of problems with the call, specified by the user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR